import { ArticleItem, Base } from '../base';
interface Config {
    /**
     * 小册id，如https://juejin.cn/book/7070324244772716556 的7070324244772716556
     */
    userId: string;
    /**
     * 输出路径
     */
    output: string;
    /**
     * 掘金已购小册的账号cookie
     */
    cookie?: string;
}
export declare class JuejinBook extends Base<Config> {
    headers: {};
    bookTitle: string;
    getMain(): Promise<number[]>;
    getDetail(id: string): Promise<ArticleItem>;
}
export {};
